List gas stations
curl --request GET \
--url https://api.platform.bitnob.com/gasstations \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/gasstations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/gasstations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/gasstations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/gasstations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/gasstations")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"asset": "ETH",
"asset_decimals": 18,
"auto_refill_enabled": true,
"balance": "125000000000000000",
"chain": "ethereum",
"created_at": "2026-05-16T10:30:00Z",
"gas_strategy": "standard",
"health_status": "healthy",
"id": "9b2e7a1c-3d4f-4a8b-9c0d-1e2f3a4b5c6d",
"name": "Ethereum gas station",
"network": "mainnet",
"object": "gas_station",
"refill_amount": "0.25",
"refill_amount_raw": "250000000000000000",
"refill_from_wallet_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "active",
"threshold": "0.05",
"threshold_raw": "50000000000000000",
"updated_at": "2026-05-16T10:30:00Z"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Gas stations
List gas stations
Returns gas stations for the organization. Filterable by chain.
GET
/
gasstations
List gas stations
curl --request GET \
--url https://api.platform.bitnob.com/gasstations \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/gasstations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/gasstations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/gasstations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/gasstations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/gasstations")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"asset": "ETH",
"asset_decimals": 18,
"auto_refill_enabled": true,
"balance": "125000000000000000",
"chain": "ethereum",
"created_at": "2026-05-16T10:30:00Z",
"gas_strategy": "standard",
"health_status": "healthy",
"id": "9b2e7a1c-3d4f-4a8b-9c0d-1e2f3a4b5c6d",
"name": "Ethereum gas station",
"network": "mainnet",
"object": "gas_station",
"refill_amount": "0.25",
"refill_amount_raw": "250000000000000000",
"refill_from_wallet_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "active",
"threshold": "0.05",
"threshold_raw": "50000000000000000",
"updated_at": "2026-05-16T10:30:00Z"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Authorizations
Headers
API version (defaults to the latest supported version if omitted).
Available options:
v1 Query Parameters
Opaque cursor; returns the page after this item.
Opaque cursor; returns the page before this item.
Page size; bounded by the endpoint maximum.
Filter by chain (e.g. bitcoin, ethereum, tron).